Subject: Re: [PATCH v2 00/11] Zsh prompt tests

From: Richard Hansen <[email-masked]>
Date: Wed, 11 Jun 2014 11:27:23 -0400

On 2014-06-10 21:16, brian m. carlson wrote:
> On Tue, Jun 10, 2014 at 04:28:46PM -0400, Richard Hansen wrote:
>> On 2014-06-10 16:06, Torsten Bögershausen wrote:
>>>  zsh --version
>>> zsh 4.3.9 (i386-apple-darwin10.0)
>>
>> zsh 4.3.9 is over 5 years old (2008-11-03).  Is that young enough that
>> we should still try to support it?
> 
> zsh 4.3.10 is the version in RHEL/CentOS 6, and people are still using
> CentOS 5.  At $DAYJOB we build git on both, so it would be nice if at
> least the tests didn't fail.

Looks like CentOS 5 has zsh 4.2.6, so when I rewrite the patch series
I'll test zsh versions that are at least that old.

> Skipping them on older versions (maybe using is-at-least) would be
> fine by me.

I don't think we'll need to skip the tests on old zsh versions --
running 'zsh -c' should still work even if 'emulate zsh -c' doesn't.

Thanks,
Richard